# coding=utf-8
# *** WARNING: this file was generated by pulumi-language-python. ***
# *** Do not edit by hand unless you're certain you know what you are doing! ***

import copy
import warnings
import pulumi
import pulumi.runtime
from typing import Any, Mapping, Optional, Sequence, Union, overload
from ... import _utilities
from . import outputs
from ._enums import *
from ._inputs import *

__all__ = ['RestApiPollerDataConnectorArgs', 'RestApiPollerDataConnector']

@pulumi.input_type
class RestApiPollerDataConnectorArgs:
    def __init__(__self__, *,
                 auth: pulumi.Input[Union['AWSAuthModelArgs', 'ApiKeyAuthModelArgs', 'BasicAuthModelArgs', 'GCPAuthModelArgs', 'GenericBlobSbsAuthModelArgs', 'GitHubAuthModelArgs', 'JwtAuthModelArgs', 'NoneAuthModelArgs', 'OAuthModelArgs', 'OracleAuthModelArgs', 'SessionAuthModelArgs']],
                 connector_definition_name: pulumi.Input[str],
                 kind: pulumi.Input[str],
                 request: pulumi.Input['RestApiPollerRequestConfigArgs'],
                 resource_group_name: pulumi.Input[str],
                 workspace_name: pulumi.Input[str],
                 add_on_attributes: Optional[pulumi.Input[Mapping[str, pulumi.Input[str]]]] = None,
                 data_connector_id: Optional[pulumi.Input[str]] = None,
                 data_type: Optional[pulumi.Input[str]] = None,
                 dcr_config: Optional[pulumi.Input['DCRConfigurationArgs']] = None,
                 is_active: Optional[pulumi.Input[bool]] = None,
                 paging: Optional[pulumi.Input['RestApiPollerRequestPagingConfigArgs']] = None,
                 response: Optional[pulumi.Input['CcpResponseConfigArgs']] = None):
        """
        The set of arguments for constructing a RestApiPollerDataConnector resource.
        :param pulumi.Input[Union['AWSAuthModelArgs', 'ApiKeyAuthModelArgs', 'BasicAuthModelArgs', 'GCPAuthModelArgs', 'GenericBlobSbsAuthModelArgs', 'GitHubAuthModelArgs', 'JwtAuthModelArgs', 'NoneAuthModelArgs', 'OAuthModelArgs', 'OracleAuthModelArgs', 'SessionAuthModelArgs']] auth: The a authentication model.
        :param pulumi.Input[str] connector_definition_name: The connector definition name (the dataConnectorDefinition resource id).
        :param pulumi.Input[str] kind: The kind of the data connector
               Expected value is 'RestApiPoller'.
        :param pulumi.Input['RestApiPollerRequestConfigArgs'] request: The request configuration.
        :param pulumi.Input[str] resource_group_name: The name of the resource group. The name is case insensitive.
        :param pulumi.Input[str] workspace_name: The name of the workspace.
        :param pulumi.Input[Mapping[str, pulumi.Input[str]]] add_on_attributes: The add on attributes. The key name will become attribute name (a column) and the value will become the attribute value in the payload.
        :param pulumi.Input[str] data_connector_id: Connector ID
        :param pulumi.Input[str] data_type: The Log Analytics table destination.
        :param pulumi.Input['DCRConfigurationArgs'] dcr_config: The DCR related properties.
        :param pulumi.Input[bool] is_active: Indicates whether the connector is active or not.
        :param pulumi.Input['RestApiPollerRequestPagingConfigArgs'] paging: The paging configuration.
        :param pulumi.Input['CcpResponseConfigArgs'] response: The response configuration.
        """
        pulumi.set(__self__, "auth", auth)
        pulumi.set(__self__, "connector_definition_name", connector_definition_name)
        pulumi.set(__self__, "kind", 'RestApiPoller')
        pulumi.set(__self__, "request", request)
        pulumi.set(__self__, "resource_group_name", resource_group_name)
        pulumi.set(__self__, "workspace_name", workspace_name)
        if add_on_attributes is not None:
            pulumi.set(__self__, "add_on_attributes", add_on_attributes)
        if data_connector_id is not None:
            pulumi.set(__self__, "data_connector_id", data_connector_id)
        if data_type is not None:
            pulumi.set(__self__, "data_type", data_type)
        if dcr_config is not None:
            pulumi.set(__self__, "dcr_config", dcr_config)
        if is_active is not None:
            pulumi.set(__self__, "is_active", is_active)
        if paging is not None:
            pulumi.set(__self__, "paging", paging)
        if response is not None:
            pulumi.set(__self__, "response", response)

    @property
    @pulumi.getter
    def auth(self) -> pulumi.Input[Union['AWSAuthModelArgs', 'ApiKeyAuthModelArgs', 'BasicAuthModelArgs', 'GCPAuthModelArgs', 'GenericBlobSbsAuthModelArgs', 'GitHubAuthModelArgs', 'JwtAuthModelArgs', 'NoneAuthModelArgs', 'OAuthModelArgs', 'OracleAuthModelArgs', 'SessionAuthModelArgs']]:
        """
        The a authentication model.
        """
        return pulumi.get(self, "auth")

    @auth.setter
    def auth(self, value: pulumi.Input[Union['AWSAuthModelArgs', 'ApiKeyAuthModelArgs', 'BasicAuthModelArgs', 'GCPAuthModelArgs', 'GenericBlobSbsAuthModelArgs', 'GitHubAuthModelArgs', 'JwtAuthModelArgs', 'NoneAuthModelArgs', 'OAuthModelArgs', 'OracleAuthModelArgs', 'SessionAuthModelArgs']]):
        pulumi.set(self, "auth", value)

    @property
    @pulumi.getter(name="connectorDefinitionName")
    def connector_definition_name(self) -> pulumi.Input[str]:
        """
        The connector definition name (the dataConnectorDefinition resource id).
        """
        return pulumi.get(self, "connector_definition_name")

    @connector_definition_name.setter
    def connector_definition_name(self, value: pulumi.Input[str]):
        pulumi.set(self, "connector_definition_name", value)

    @property
    @pulumi.getter
    def kind(self) -> pulumi.Input[str]:
        """
        The kind of the data connector
        Expected value is 'RestApiPoller'.
        """
        return pulumi.get(self, "kind")

    @kind.setter
    def kind(self, value: pulumi.Input[str]):
        pulumi.set(self, "kind", value)

    @property
    @pulumi.getter
    def request(self) -> pulumi.Input['RestApiPollerRequestConfigArgs']:
        """
        The request configuration.
        """
        return pulumi.get(self, "request")

    @request.setter
    def request(self, value: pulumi.Input['RestApiPollerRequestConfigArgs']):
        pulumi.set(self, "request", value)

    @property
    @pulumi.getter(name="resourceGroupName")
    def resource_group_name(self) -> pulumi.Input[str]:
        """
        The name of the resource group. The name is case insensitive.
        """
        return pulumi.get(self, "resource_group_name")

    @resource_group_name.setter
    def resource_group_name(self, value: pulumi.Input[str]):
        pulumi.set(self, "resource_group_name", value)

    @property
    @pulumi.getter(name="workspaceName")
    def workspace_name(self) -> pulumi.Input[str]:
        """
        The name of the workspace.
        """
        return pulumi.get(self, "workspace_name")

    @workspace_name.setter
    def workspace_name(self, value: pulumi.Input[str]):
        pulumi.set(self, "workspace_name", value)

    @property
    @pulumi.getter(name="addOnAttributes")
    def add_on_attributes(self) -> Optional[pulumi.Input[Mapping[str, pulumi.Input[str]]]]:
        """
        The add on attributes. The key name will become attribute name (a column) and the value will become the attribute value in the payload.
        """
        return pulumi.get(self, "add_on_attributes")

    @add_on_attributes.setter
    def add_on_attributes(self, value: Optional[pulumi.Input[Mapping[str, pulumi.Input[str]]]]):
        pulumi.set(self, "add_on_attributes", value)

    @property
    @pulumi.getter(name="dataConnectorId")
    def data_connector_id(self) -> Optional[pulumi.Input[str]]:
        """
        Connector ID
        """
        return pulumi.get(self, "data_connector_id")

    @data_connector_id.setter
    def data_connector_id(self, value: Optional[pulumi.Input[str]]):
        pulumi.set(self, "data_connector_id", value)

    @property
    @pulumi.getter(name="dataType")
    def data_type(self) -> Optional[pulumi.Input[str]]:
        """
        The Log Analytics table destination.
        """
        return pulumi.get(self, "data_type")

    @data_type.setter
    def data_type(self, value: Optional[pulumi.Input[str]]):
        pulumi.set(self, "data_type", value)

    @property
    @pulumi.getter(name="dcrConfig")
    def dcr_config(self) -> Optional[pulumi.Input['DCRConfigurationArgs']]:
        """
        The DCR related properties.
        """
        return pulumi.get(self, "dcr_config")

    @dcr_config.setter
    def dcr_config(self, value: Optional[pulumi.Input['DCRConfigurationArgs']]):
        pulumi.set(self, "dcr_config", value)

    @property
    @pulumi.getter(name="isActive")
    def is_active(self) -> Optional[pulumi.Input[bool]]:
        """
        Indicates whether the connector is active or not.
        """
        return pulumi.get(self, "is_active")

    @is_active.setter
    def is_active(self, value: Optional[pulumi.Input[bool]]):
        pulumi.set(self, "is_active", value)

    @property
    @pulumi.getter
    def paging(self) -> Optional[pulumi.Input['RestApiPollerRequestPagingConfigArgs']]:
        """
        The paging configuration.
        """
        return pulumi.get(self, "paging")

    @paging.setter
    def paging(self, value: Optional[pulumi.Input['RestApiPollerRequestPagingConfigArgs']]):
        pulumi.set(self, "paging", value)

    @property
    @pulumi.getter
    def response(self) -> Optional[pulumi.Input['CcpResponseConfigArgs']]:
        """
        The response configuration.
        """
        return pulumi.get(self, "response")

    @response.setter
    def response(self, value: Optional[pulumi.Input['CcpResponseConfigArgs']]):
        pulumi.set(self, "response", value)


class RestApiPollerDataConnector(pulumi.CustomResource):
    @overload
    def __init__(__self__,
                 resource_name: str,
                 opts: Optional[pulumi.ResourceOptions] = None,
                 add_on_attributes: Optional[pulumi.Input[Mapping[str, pulumi.Input[str]]]] = None,
                 auth: Optional[pulumi.Input[Union[pulumi.InputType['AWSAuthModelArgs'], pulumi.InputType['ApiKeyAuthModelArgs'], pulumi.InputType['BasicAuthModelArgs'], pulumi.InputType['GCPAuthModelArgs'], pulumi.InputType['GenericBlobSbsAuthModelArgs'], pulumi.InputType['GitHubAuthModelArgs'], pulumi.InputType['JwtAuthModelArgs'], pulumi.InputType['NoneAuthModelArgs'], pulumi.InputType['OAuthModelArgs'], pulumi.InputType['OracleAuthModelArgs'], pulumi.InputType['SessionAuthModelArgs']]]] = None,
                 connector_definition_name: Optional[pulumi.Input[str]] = None,
                 data_connector_id: Optional[pulumi.Input[str]] = None,
                 data_type: Optional[pulumi.Input[str]] = None,
                 dcr_config: Optional[pulumi.Input[pulumi.InputType['DCRConfigurationArgs']]] = None,
                 is_active: Optional[pulumi.Input[bool]] = None,
                 kind: Optional[pulumi.Input[str]] = None,
                 paging: Optional[pulumi.Input[pulumi.InputType['RestApiPollerRequestPagingConfigArgs']]] = None,
                 request: Optional[pulumi.Input[pulumi.InputType['RestApiPollerRequestConfigArgs']]] = None,
                 resource_group_name: Optional[pulumi.Input[str]] = None,
                 response: Optional[pulumi.Input[pulumi.InputType['CcpResponseConfigArgs']]] = None,
                 workspace_name: Optional[pulumi.Input[str]] = None,
                 __props__=None):
        """
        Represents Rest Api Poller data connector.

        :param str resource_name: The name of the resource.
        :param pulumi.ResourceOptions opts: Options for the resource.
        :param pulumi.Input[Mapping[str, pulumi.Input[str]]] add_on_attributes: The add on attributes. The key name will become attribute name (a column) and the value will become the attribute value in the payload.
        :param pulumi.Input[Union[pulumi.InputType['AWSAuthModelArgs'], pulumi.InputType['ApiKeyAuthModelArgs'], pulumi.InputType['BasicAuthModelArgs'], pulumi.InputType['GCPAuthModelArgs'], pulumi.InputType['GenericBlobSbsAuthModelArgs'], pulumi.InputType['GitHubAuthModelArgs'], pulumi.InputType['JwtAuthModelArgs'], pulumi.InputType['NoneAuthModelArgs'], pulumi.InputType['OAuthModelArgs'], pulumi.InputType['OracleAuthModelArgs'], pulumi.InputType['SessionAuthModelArgs']]] auth: The a authentication model.
        :param pulumi.Input[str] connector_definition_name: The connector definition name (the dataConnectorDefinition resource id).
        :param pulumi.Input[str] data_connector_id: Connector ID
        :param pulumi.Input[str] data_type: The Log Analytics table destination.
        :param pulumi.Input[pulumi.InputType['DCRConfigurationArgs']] dcr_config: The DCR related properties.
        :param pulumi.Input[bool] is_active: Indicates whether the connector is active or not.
        :param pulumi.Input[str] kind: The kind of the data connector
               Expected value is 'RestApiPoller'.
        :param pulumi.Input[pulumi.InputType['RestApiPollerRequestPagingConfigArgs']] paging: The paging configuration.
        :param pulumi.Input[pulumi.InputType['RestApiPollerRequestConfigArgs']] request: The request configuration.
        :param pulumi.Input[str] resource_group_name: The name of the resource group. The name is case insensitive.
        :param pulumi.Input[pulumi.InputType['CcpResponseConfigArgs']] response: The response configuration.
        :param pulumi.Input[str] workspace_name: The name of the workspace.
        """
        ...
    @overload
    def __init__(__self__,
                 resource_name: str,
                 args: RestApiPollerDataConnectorArgs,
                 opts: Optional[pulumi.ResourceOptions] = None):
        """
        Represents Rest Api Poller data connector.

        :param str resource_name: The name of the resource.
        :param RestApiPollerDataConnectorArgs args: The arguments to use to populate this resource's properties.
        :param pulumi.ResourceOptions opts: Options for the resource.
        """
        ...
    def __init__(__self__, resource_name: str, *args, **kwargs):
        resource_args, opts = _utilities.get_resource_args_opts(RestApiPollerDataConnectorArgs, pulumi.ResourceOptions, *args, **kwargs)
        if resource_args is not None:
            __self__._internal_init(resource_name, opts, **resource_args.__dict__)
        else:
            __self__._internal_init(resource_name, *args, **kwargs)

    def _internal_init(__self__,
                 resource_name: str,
                 opts: Optional[pulumi.ResourceOptions] = None,
                 add_on_attributes: Optional[pulumi.Input[Mapping[str, pulumi.Input[str]]]] = None,
                 auth: Optional[pulumi.Input[Union[pulumi.InputType['AWSAuthModelArgs'], pulumi.InputType['ApiKeyAuthModelArgs'], pulumi.InputType['BasicAuthModelArgs'], pulumi.InputType['GCPAuthModelArgs'], pulumi.InputType['GenericBlobSbsAuthModelArgs'], pulumi.InputType['GitHubAuthModelArgs'], pulumi.InputType['JwtAuthModelArgs'], pulumi.InputType['NoneAuthModelArgs'], pulumi.InputType['OAuthModelArgs'], pulumi.InputType['OracleAuthModelArgs'], pulumi.InputType['SessionAuthModelArgs']]]] = None,
                 connector_definition_name: Optional[pulumi.Input[str]] = None,
                 data_connector_id: Optional[pulumi.Input[str]] = None,
                 data_type: Optional[pulumi.Input[str]] = None,
                 dcr_config: Optional[pulumi.Input[pulumi.InputType['DCRConfigurationArgs']]] = None,
                 is_active: Optional[pulumi.Input[bool]] = None,
                 kind: Optional[pulumi.Input[str]] = None,
                 paging: Optional[pulumi.Input[pulumi.InputType['RestApiPollerRequestPagingConfigArgs']]] = None,
                 request: Optional[pulumi.Input[pulumi.InputType['RestApiPollerRequestConfigArgs']]] = None,
                 resource_group_name: Optional[pulumi.Input[str]] = None,
                 response: Optional[pulumi.Input[pulumi.InputType['CcpResponseConfigArgs']]] = None,
                 workspace_name: Optional[pulumi.Input[str]] = None,
                 __props__=None):
        opts = pulumi.ResourceOptions.merge(_utilities.get_resource_opts_defaults(), opts)
        if not isinstance(opts, pulumi.ResourceOptions):
            raise TypeError('Expected resource options to be a ResourceOptions instance')
        if opts.id is None:
            if __props__ is not None:
                raise TypeError('__props__ is only valid when passed in combination with a valid opts.id to get an existing resource')
            __props__ = RestApiPollerDataConnectorArgs.__new__(RestApiPollerDataConnectorArgs)

            __props__.__dict__["add_on_attributes"] = add_on_attributes
            if auth is None and not opts.urn:
                raise TypeError("Missing required property 'auth'")
            __props__.__dict__["auth"] = auth
            if connector_definition_name is None and not opts.urn:
                raise TypeError("Missing required property 'connector_definition_name'")
            __props__.__dict__["connector_definition_name"] = connector_definition_name
            __props__.__dict__["data_connector_id"] = data_connector_id
            __props__.__dict__["data_type"] = data_type
            __props__.__dict__["dcr_config"] = dcr_config
            __props__.__dict__["is_active"] = is_active
            if kind is None and not opts.urn:
                raise TypeError("Missing required property 'kind'")
            __props__.__dict__["kind"] = 'RestApiPoller'
            __props__.__dict__["paging"] = paging
            if request is None and not opts.urn:
                raise TypeError("Missing required property 'request'")
            __props__.__dict__["request"] = request
            if resource_group_name is None and not opts.urn:
                raise TypeError("Missing required property 'resource_group_name'")
            __props__.__dict__["resource_group_name"] = resource_group_name
            __props__.__dict__["response"] = response
            if workspace_name is None and not opts.urn:
                raise TypeError("Missing required property 'workspace_name'")
            __props__.__dict__["workspace_name"] = workspace_name
            __props__.__dict__["etag"] = None
            __props__.__dict__["name"] = None
            __props__.__dict__["system_data"] = None
            __props__.__dict__["type"] = None
        alias_opts = pulumi.ResourceOptions(aliases=[pulumi.Alias(type_="azure-native:securityinsights:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20190101preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20200101:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20210301preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20210901preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20211001:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20211001preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20220101preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20220401preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20220501preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20220601preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20220701preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20220801:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20220801preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20220901preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20221001preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20221101:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20221101preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20221201preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20230201:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20230201preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20230301preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20230401preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20230501preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20230601preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20230701preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20230801preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20230901preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20231001preview:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20231101:RestApiPollerDataConnector"), pulumi.Alias(type_="azure-native:securityinsights/v20231201preview:RestApiPollerDataConnector")])
        opts = pulumi.ResourceOptions.merge(opts, alias_opts)
        super(RestApiPollerDataConnector, __self__).__init__(
            'azure-native:securityinsights/v20240101preview:RestApiPollerDataConnector',
            resource_name,
            __props__,
            opts)

    @staticmethod
    def get(resource_name: str,
            id: pulumi.Input[str],
            opts: Optional[pulumi.ResourceOptions] = None) -> 'RestApiPollerDataConnector':
        """
        Get an existing RestApiPollerDataConnector resource's state with the given name, id, and optional extra
        properties used to qualify the lookup.

        :param str resource_name: The unique name of the resulting resource.
        :param pulumi.Input[str] id: The unique provider ID of the resource to lookup.
        :param pulumi.ResourceOptions opts: Options for the resource.
        """
        opts = pulumi.ResourceOptions.merge(opts, pulumi.ResourceOptions(id=id))

        __props__ = RestApiPollerDataConnectorArgs.__new__(RestApiPollerDataConnectorArgs)

        __props__.__dict__["add_on_attributes"] = None
        __props__.__dict__["auth"] = None
        __props__.__dict__["connector_definition_name"] = None
        __props__.__dict__["data_type"] = None
        __props__.__dict__["dcr_config"] = None
        __props__.__dict__["etag"] = None
        __props__.__dict__["is_active"] = None
        __props__.__dict__["kind"] = None
        __props__.__dict__["name"] = None
        __props__.__dict__["paging"] = None
        __props__.__dict__["request"] = None
        __props__.__dict__["response"] = None
        __props__.__dict__["system_data"] = None
        __props__.__dict__["type"] = None
        return RestApiPollerDataConnector(resource_name, opts=opts, __props__=__props__)

    @property
    @pulumi.getter(name="addOnAttributes")
    def add_on_attributes(self) -> pulumi.Output[Optional[Mapping[str, str]]]:
        """
        The add on attributes. The key name will become attribute name (a column) and the value will become the attribute value in the payload.
        """
        return pulumi.get(self, "add_on_attributes")

    @property
    @pulumi.getter
    def auth(self) -> pulumi.Output[Any]:
        """
        The a authentication model.
        """
        return pulumi.get(self, "auth")

    @property
    @pulumi.getter(name="connectorDefinitionName")
    def connector_definition_name(self) -> pulumi.Output[str]:
        """
        The connector definition name (the dataConnectorDefinition resource id).
        """
        return pulumi.get(self, "connector_definition_name")

    @property
    @pulumi.getter(name="dataType")
    def data_type(self) -> pulumi.Output[Optional[str]]:
        """
        The Log Analytics table destination.
        """
        return pulumi.get(self, "data_type")

    @property
    @pulumi.getter(name="dcrConfig")
    def dcr_config(self) -> pulumi.Output[Optional['outputs.DCRConfigurationResponse']]:
        """
        The DCR related properties.
        """
        return pulumi.get(self, "dcr_config")

    @property
    @pulumi.getter
    def etag(self) -> pulumi.Output[Optional[str]]:
        """
        Etag of the azure resource
        """
        return pulumi.get(self, "etag")

    @property
    @pulumi.getter(name="isActive")
    def is_active(self) -> pulumi.Output[Optional[bool]]:
        """
        Indicates whether the connector is active or not.
        """
        return pulumi.get(self, "is_active")

    @property
    @pulumi.getter
    def kind(self) -> pulumi.Output[str]:
        """
        The kind of the data connector
        Expected value is 'RestApiPoller'.
        """
        return pulumi.get(self, "kind")

    @property
    @pulumi.getter
    def name(self) -> pulumi.Output[str]:
        """
        The name of the resource
        """
        return pulumi.get(self, "name")

    @property
    @pulumi.getter
    def paging(self) -> pulumi.Output[Optional['outputs.RestApiPollerRequestPagingConfigResponse']]:
        """
        The paging configuration.
        """
        return pulumi.get(self, "paging")

    @property
    @pulumi.getter
    def request(self) -> pulumi.Output['outputs.RestApiPollerRequestConfigResponse']:
        """
        The request configuration.
        """
        return pulumi.get(self, "request")

    @property
    @pulumi.getter
    def response(self) -> pulumi.Output[Optional['outputs.CcpResponseConfigResponse']]:
        """
        The response configuration.
        """
        return pulumi.get(self, "response")

    @property
    @pulumi.getter(name="systemData")
    def system_data(self) -> pulumi.Output['outputs.SystemDataResponse']:
        """
        Azure Resource Manager metadata containing createdBy and modifiedBy information.
        """
        return pulumi.get(self, "system_data")

    @property
    @pulumi.getter
    def type(self) -> pulumi.Output[str]:
        """
        The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
        """
        return pulumi.get(self, "type")

